Subject: [ietf-dkim] dkim-base-01: ABNF discrepancies

From: SUZUKI Takahiko <[email-masked]>
Date: Sun, 30 Apr 2006 04:53:24 +0900 (JST)

I noticed a few discrepancies on dkim-base-01. Sorry if someone already 
pointed out.

Section 3.5, the ABNF for selector conflicts between section 3.1 and 3.5.
I think 

   sig-s-tag    = %x73 [FWS] "=" [FWS] Domain
 
should be 

   sig-s-tag    = %x73 [FWS] "=" [FWS] sub-domain *( "." sub-domain )

Section 3.6.1, the ABNF for "s=" tag of key doesn't represent 
"a colon-separated list" as described. So I think 

   key-s-tag        = %x73 [FWS] "=" [FWS] key-s-tag-type

should be 

   key-s-tag        = %x73 [FWS] "=" [FWS] key-s-tag-type
                      0*( [FWS] ":" [FWS] key-s-tag-type )

--
SUZUKI Takahiko <[email-masked]>
Internet Initiative Japan Inc.
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html